.readthedocs.yml: specify some minimum python requirements
diff mbox series

Message ID 20200206104743.11740-1-alex.bennee@linaro.org
State New
Headers show
Series
  • .readthedocs.yml: specify some minimum python requirements
Related show

Commit Message

Alex Bennée Feb. 6, 2020, 10:47 a.m. UTC
QEMU is all about the Python 3 now so lets also hint that to
ReadTheDocs in its config file.

Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
---
 .readthedocs.yml | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)
 create mode 100644 .readthedocs.yml

Comments

Peter Maydell Feb. 6, 2020, 10:56 a.m. UTC | #1
On Thu, 6 Feb 2020 at 10:47, Alex Bennée <alex.bennee@linaro.org> wrote:
>
> QEMU is all about the Python 3 now so lets also hint that to
> ReadTheDocs in its config file.
>
> Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
> ---
>  .readthedocs.yml | 17 +++++++++++++++++
>  1 file changed, 17 insertions(+)
>  create mode 100644 .readthedocs.yml
>
> diff --git a/.readthedocs.yml b/.readthedocs.yml
> new file mode 100644
> index 00000000000..99730364bbc
> --- /dev/null
> +++ b/.readthedocs.yml
> @@ -0,0 +1,17 @@
> +# .readthedocs.yml
> +# Read the Docs configuration file
> +# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details
> +
> +# Required
> +version: 2
> +
> +# Build documentation in the docs/ directory with Sphinx
> +sphinx:
> +  configuration: docs/conf.py
> +
> +# We want all the document formats
> +formats: all

> +# We need at least 3.4 for enum, but we enforce 3.5+ for sphinx

A better comment IMHO:

# For consistency, we require that QEMU's Sphinx extensions
# run with at least the same minimum version of Python that
# we require for other Python in our codebase (our conf.py
# enforces this, and some code needs it.)

Otherwise this will become inaccurate in a couple of weeks
as soon as some other extension code lands that really does
have a 3.5 requirement.

> +python:
> +  version: 3.5

Otherwise
Reviewed-by: Peter Maydell <peter.maydell@linaro.org>

thanks
-- PMM

Patch
diff mbox series

diff --git a/.readthedocs.yml b/.readthedocs.yml
new file mode 100644
index 00000000000..99730364bbc
--- /dev/null
+++ b/.readthedocs.yml
@@ -0,0 +1,17 @@ 
+# .readthedocs.yml
+# Read the Docs configuration file
+# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details
+
+# Required
+version: 2
+
+# Build documentation in the docs/ directory with Sphinx
+sphinx:
+  configuration: docs/conf.py
+
+# We want all the document formats
+formats: all
+
+# We need at least 3.4 for enum, but we enforce 3.5+ for sphinx
+python:
+  version: 3.5